//go:build fasthttp

package html

import (
	"github.com/valyala/fasthttp"
)

// ReturnErrorPage sets the response status code and writes NotFoundPage to the response body, with "%status" replaced
// with the provided status code.
func ReturnErrorPage(ctx *fasthttp.RequestCtx, code int) {
	ctx.Response.SetStatusCode(code)
	ctx.Response.Header.SetContentType("text/html; charset=utf-8")

	// TODO: use template engine?
	ctx.Response.SetBody(errorBody(code))
}
