//go:build !fasthttp

package html

import (
	"bytes"
	"io"

	"codeberg.org/codeberg/pages/server/context"
)

// ReturnErrorPage sets the response status code and writes NotFoundPage to the response body, with "%status" replaced
// with the provided status code.
func ReturnErrorPage(ctx *context.Context, code int) {
	ctx.RespWriter.Header().Set("Content-Type", "text/html; charset=utf-8")
	ctx.RespWriter.WriteHeader(code)

	io.Copy(ctx.RespWriter, bytes.NewReader(errorBody(code)))
}
